Bug 175440 - Warning emitted doing vte_terminal_new()
Warning emitted doing vte_terminal_new()
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-10 13:06 EST by Kim Lux
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-10 20:41:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Lux 2005-12-10 13:06:48 EST
Description of problem: 
 
A bunch of unecessary warnings appear on the console when vte_terminal_new is 
invoked.  
 
Version-Release number of selected component (if applicable): 
 
$ rpm -q vte 
vte-0.11.14-3.fc4 
$ rpm -q vte-devel 
vte-devel-0.11.14-3.fc4 
$ rpm -q gcc 
gcc-4.0.2-8.fc4 
 
 
 
 
How reproducible: 
 
 
Steps to Reproduce: 
 
In the gtkterm project that uses vte: 
 
 
widgets.c: 88 GtkWidget *display = NULL; 
 
widgets.c:297: display = vte_terminal_new(); 
 
vte.h:205 GtkWidget *vte_terminal_new(void); 
 
 
Actual results: 
 
Causes: 9 times of (gtkterm:10936): Gdk-WARNING **: gdk_property_get(): length 
value has wrapped in calculation (did you pass G_MAXLONG?) 
 
 
Expected results: 
 
Shouldn't be any warnings that I can see.  
 
Additional info: 
 
Let me know if you need more info.  
 
I got my gtkterm source from here: 
 
http://www.jls-info.com/julien/linux/
Comment 1 Warren Togami 2005-12-10 20:41:38 EST
Please report this to upstream vte (in GNOME Bugzilla) and/or gtkterm upstream
project.

Note You need to log in before you can comment on or make changes to this bug.